﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LoadNotFoundUrlsFromGoogle.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LoadNotFoundUrlsFromGoogle, Mogul.SeoManager" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title><%= ViewModel.Heading %></title>
        <script type="text/javascript" src="js/libs/jquery-1.9.1.min.js"></script>
        <link rel="stylesheet" href="css/style2.css?v=1.16" />
    </head>
    <body id="edit-modal">
        <form id="form1" runat="server" EnableViewState="true">
            <div class="modal">
                <h3><%= ViewModel.Heading %></h3>
                <asp:PlaceHolder ID="phLogin" runat="server" Visible="true">
                    <div class="divGoog">
                        <p><%= ViewModel.Username %></p>
                        <asp:TextBox ID="txtUsername" runat="server" />
                        <p><%= ViewModel.Password %></p>
                        <asp:TextBox ID="txtPassword" TextMode="Password" runat="server" /><br />
                    	<asp:LinkButton ID="btnFetch" runat="server" CssClass="button" OnClick="btnFetch_Click" />
                    	<asp:Label ID="lblMessage" runat="server" />
                        <div class="divNote">
                            <%= ViewModel.Note1 %><br />
                            <a href="https://www.google.com/settings/security/lesssecureapps?pli=1" target="_blank">https://www.google.com/settings/security/lesssecureapps?pli=1</a>
                            <div>
                                <%= ViewModel.Note2 %><br />
                                <a href="https://accounts.google.com/DisplayUnlockCaptcha" target="_blank">https://accounts.google.com/DisplayUnlockCaptcha</a>
                            </div>
                        </div>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phSites" runat="server" Visible="false">
                    <div id="divSites">
                        <p><%= ViewModel.YourSites %></p>
                        <asp:DropDownList ID="ddlSites" runat="server" /><asp:LinkButton ID="lbLoginAgain" OnClick="lbLoginAgain_Click" runat="server" CssClass="ri" />
                        <asp:LinkButton ID="lbGetUlrs" CssClass="button" OnClick="lbGetUlrs_Click" runat="server" />
                        <div class="rptUrls">
                            <asp:Repeater ID="rptURLs" runat="server">
                                <ItemTemplate><label><asp:CheckBox ID="cb" runat="server" Checked="true" /><span></span></label> <%# Container.DataItem %><br /></ItemTemplate>
                            </asp:Repeater>
                        </div>
                        <asp:Literal ID="litURLs" runat="server" /><br />
                        <asp:LinkButton ID="btnCommit" runat="server" CssClass="button" OnClick="btnCommit_Click" Enabled="false" /><br />
                        <%= ViewModel.DuplicatedUrlsWarning %>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phImpSuccess" runat="server" Visible="false">
                    <div class="filter">
                        <asp:Label ID="lblImportSuccess" runat="server" />
                    </div>
                </asp:PlaceHolder>
            </div>
        </form>
    </body>
</html>